Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::actions::unstable_remove_if_fn Struct Reference

## Public Member Functions
template<typename C , typename P = identity>
constexpr auto | operator() (C pred, P proj=P{}) const
template<typename Rng , typename C , typename P = identity>
Rng | operator() (Rng &&rng, C pred, P proj=P{}) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename C , typename P = identity>

constexpr auto ranges::actions::unstable_remove_if_fn::operator() | ( | C | pred,
|  | P | proj = `P{}`
| ) |  | const
| constexpr

Precondition
  requires `(!range<C>)`

## ◆ operator()() [2/2]

template<typename Rng , typename C , typename P = identity>

Rng ranges::actions::unstable_remove_if_fn::operator() | ( | Rng && | rng,
|  | C | pred,
|  | P | proj = `P{}`
| ) |  | const

Precondition
  requires `bidirectional_range<Rng> && common_range<Rng> && permutable<iterator_t<Rng>> && indirect_unary_predicate<C, projected<iterator_t<Rng>, P>> && erasable_range<Rng, iterator_t<Rng>, iterator_t<Rng>>`